Subject: Re: [net-next PATCH 00/15] eth: fbnic: Add network driver for Meta Platforms Host Network Interface

From: Leon Romanovsky <[email-masked]>
Date: Thu, 4 Apr 2024 22:05:15 +0300

On Thu, Apr 04, 2024 at 08:35:18PM +0200, Andrew Lunn wrote:
> > OCP, ehm, lets say I have my reservations...
> > Okay, what motivation would anyne have to touch the fw of a hardware
> > running inside Meta datacenter only? Does not make any sense.
> > 
> > I'd say come again when your HW is not limited to Meta datacenter.
> > For the record and FWIW, I NACK this.
> 
> Is ENA used outside of Amazon data centres?

At least this driver is needed when you use cloud instance in Amazon
and want install your own kernel/OS.

> 
> Is FUNGIBLE used outside of Microsoft data centres?

Have no idea

> 
> Is gVNIC used outside of Google data centres?

You need this driver too.
https://cloud.google.com/compute/docs/networking/using-gvnic

> 
> I don't actually know, i'm more of an Embedded developer.
> 
>   Andrew
> 
>